Logistics
Get Trip
Get a single trip by id or document_id.
GET
/
api
/
v1
/
logistics
/
trips
/
{trip_id}
Get Trip
curl --request GET \
--url https://vinmake-erp.onrender.com/api/v1/logistics/trips/{trip_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/api/v1/logistics/trips/{trip_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/api/v1/logistics/trips/{trip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"direction": "<string>",
"mode": "<string>",
"status": "<string>",
"driver": "<string>",
"vehicle": "<string>",
"refLabel": "<string>",
"ref": "<string>",
"progress": "<string>",
"eta": "<string>",
"stops": [],
"shipmentDocumentIds": [],
"incoterm": "<string>",
"createdAt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Previous
Arrive Trip StopMark a trip stop as arrived (state='done'), advance the next stop to 'current',
and recompute delivery status. Returns the updated TripResponse.
Next
⌘I
Get Trip
